[med-svn] [Git][med-team/aevol][master] Add only the minimal unit tests to debug furtherwq

Saira Hussain gitlab at salsa.debian.org
Wed Jul 24 08:24:45 BST 2019



Saira Hussain pushed to branch master at Debian Med / aevol


Commits:
7be89bfd by Saira Hussain at 2019-07-24T07:24:12Z
Add only the minimal unit tests to debug furtherwq

- - - - -


1 changed file:

- + debian/tests/run-unit-tests


Changes:

=====================================
debian/tests/run-unit-tests
=====================================
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+pkg=aevol
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+#  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+# Just for debugging
+set -x
+
+# Test 1
+cd wild_type
+aevol_create
+aevol_run -n 50 -p -1
+
+# Test 2
+
+
+# Test 3



View it on GitLab: https://salsa.debian.org/med-team/aevol/commit/7be89bfdb462a43b7013172a13112c6e393209e8

-- 
View it on GitLab: https://salsa.debian.org/med-team/aevol/commit/7be89bfdb462a43b7013172a13112c6e393209e8
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190724/36d323d8/attachment-0001.html>


More information about the debian-med-commit mailing list